package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.mbg.model.EasArcTlsScores;

import java.io.InputStream;
import java.util.List;

public interface EasArcTlsScoresService {

    /**
     * 添加学员分数
     * @param easArcTlsScores
     * @return
     */
    int addStudentScore(EasArcTlsScores easArcTlsScores);

    /**
     * 修改学员分数
     * @param easArcTlsScores
     * @return
     */
    int updateStudentScore(EasArcTlsScores easArcTlsScores);

    /**
     * 查询学员分数
     * @return
     */
    List<EasArcTlsScores> selectAllStudentScores();

    /**
     * 主键查询
     * @param easArcTlsScores
     * @return
     */
    PageDataResult selectScoreByExample(EasArcTlsScores easArcTlsScores);

    /**
     * 导入学员分数
     * @param inputStream
     * @return
     */
    Boolean importExcelScores(InputStream inputStream);

}
